import configparser


class Config:
    def __init__(self, username, password, source_addr):
        self.username = username
        self.password = password
        self.source_addr = source_addr
        self.debug = False


def parse_config(cfgPath):
    cfg = configparser.ConfigParser()
    with open(cfgPath, "r") as f:
        cfg.read_file(f)
    username = cfg.get("API", "username")
    passwd = cfg.get("API", "password")
    source_addr = cfg.get("API", "source_addr")
    return Config(username, passwd, source_addr)
