# Axione FTTH - Test d'Éligibilité

## Configuration

Ce programme se configure à l'aide du fichier ini se trouvant à `/etc/axione-elig-test.ini`. Vous pouvez utiliser `./elig-test.ini.sample` de ce dépôt git comme point de départ.

## Travailler sur l'Application Python

Nous utilisons [poetry](https://python-poetry.org/) pour gérer les dépendances python. Vous pouvez l'installer a l'aide du package manager de votre distribution. Si vous utilisez Nix, vous pouvez l'obtenir en entrant en tapant `nix-shell`.

Une fois poetry installé, vous pouvez obtenir les dépendances Python à l'aide de `poetry install`. Vous pouvez ensuite obtenir un interprêteur Python pré-configuré pour utiliser ces dépendances à l'aide de `poetry shell`.

## Jouer les Tests

Nous avons quelques tests pour le parseur. Vous pouvez les jouer à l'aide de:

```bash
$ poetry run python test_axione_api.py
```

## Debugger l'Application Localement

Travailler depuis la VM whitelistée par Axione est peu pratique. C'est pourquoi nous avons ajouté un mode debug permettant de simuler les réponses d'Axione.

Pour lancer la webapp localement en mode debug, vous pouvez utiliser le script `run-dev-server`:
```bash
./run-dev-server
```
